AUPARSE_FLUSH_FEED(3)

NAME
auparse_flush_feed - flush any unconsumed feed data through parser.

SYNOPSIS
#include <auparse.h>

int auparse_flush_feed(auparse_state_t *au);

DESCRIPTION

auparse_flush_feed should be called to signal the end of feed input data and flush any pending parse data through the parsing system.

RETURN VALUE

Returns -1 if an error occurs; otherwise, 0 for success.

SEE ALSO

auparse_feed(3), auparse_feed_age_events(3), auparse_feed_has_data(3)

AUTHOR
John Dennis